package com.hfkj.service.quiz;

import com.hfkj.entity.BsOilPriceQuizReward;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @className: BsOilPriceQuizRewardService
 * @author: HuRui
 * @date: 2025/11/25
 **/
public interface BsOilPriceQuizRewardService {

    /**
     * 编辑
     * @param data
     */
    void edit(BsOilPriceQuizReward data);

    /**
     * 查询详情
     * @param id
     * @return
     */
    BsOilPriceQuizReward getDetail(Long id);

    /**
     * 删除
     * @param id
     */
    void del(Long id);

    /**
     * 查询列表
     * @param param
     * @return
     */
    List<HashMap<String,Object>> getList(Map<String,Object> param);

}
